---
title: "Release v0.30.0"
linkTitle: "Release v0.30.0"
date: 2022-05-10
description: >
 Release v0.30.0
---

## Changelog since v0.27.4

### Notable Changes
* Add a dialog for skipping the analysis stage. ([#3528](https://github.com/pipe-cd/pipecd/pull/3528))
* Allow customizing the ServiceAccount for workload of PipeCD Helm chart ([#3535](https://github.com/pipe-cd/pipecd/pull/3535))

### Internal Changes
* Remove seal key secret management type from piped configuration ([#3603](https://github.com/pipe-cd/pipecd/pull/3603))
* Refactor docs for contributor ([#3592](https://github.com/pipe-cd/pipecd/pull/3592))
* Add golemiso-san to contributor list ([#3604](https://github.com/pipe-cd/pipecd/pull/3604))
* Make controlplane run multiple ([#3602](https://github.com/pipe-cd/pipecd/pull/3602))
* Update pipecd local command ([#3601](https://github.com/pipe-cd/pipecd/pull/3601))
* Remove environment concept from web apis ([#3599](https://github.com/pipe-cd/pipecd/pull/3599))
* Fix missing method on the struct notification event ([#3598](https://github.com/pipe-cd/pipecd/pull/3598))
* Remove environment concept from pipectl apis ([#3596](https://github.com/pipe-cd/pipecd/pull/3596))
* Fix missing version while building web ([#3593](https://github.com/pipe-cd/pipecd/pull/3593))
* Remove appconfig commands ([#3591](https://github.com/pipe-cd/pipecd/pull/3591))
* Fix wrong indent in workflow ([#3594](https://github.com/pipe-cd/pipecd/pull/3594))
* Implement some methods for RBAC ([#3581](https://github.com/pipe-cd/pipecd/pull/3581))
* Fix workflows to use the same version of setup-node ([#3590](https://github.com/pipe-cd/pipecd/pull/3590))
* Simplify the way to run PipeCD locally ([#3588](https://github.com/pipe-cd/pipecd/pull/3588))
* Remove env from web source and Application model ([#3589](https://github.com/pipe-cd/pipecd/pull/3589))
* Add workflow to attach binary artifacts to GH release ([#3587](https://github.com/pipe-cd/pipecd/pull/3587))
* Update docs to use new command list ([#3580](https://github.com/pipe-cd/pipecd/pull/3580))
* Remove environment concept from model ([#3584](https://github.com/pipe-cd/pipecd/pull/3584))
* Rename backend into go ([#3586](https://github.com/pipe-cd/pipecd/pull/3586))
* Refactor make commands and workflows on CI ([#3585](https://github.com/pipe-cd/pipecd/pull/3585))
* Show health status of PodDisruptionBudget resource ([#3578](https://github.com/pipe-cd/pipecd/pull/3578))
* Add gomock reflect to gitignore ([#3582](https://github.com/pipe-cd/pipecd/pull/3582))
* Update actions-plan-preview image to 1.8.0 ([#3579](https://github.com/pipe-cd/pipecd/pull/3579))
* Rename the grpc api for the RBAC ([#3573](https://github.com/pipe-cd/pipecd/pull/3573))
* Rename Control Plane keyword ([#3577](https://github.com/pipe-cd/pipecd/pull/3577))
* Add lint and integration test on CI ([#3576](https://github.com/pipe-cd/pipecd/pull/3576))
* Update to build the whole project without Bazel ([#3575](https://github.com/pipe-cd/pipecd/pull/3575))
* Update to build frontend without Bazel ([#3572](https://github.com/pipe-cd/pipecd/pull/3572))
* Stop publishing site image to GCR ([#3571](https://github.com/pipe-cd/pipecd/pull/3571))
* Limit height for possible multiple rows column on application list page ([#3567](https://github.com/pipe-cd/pipecd/pull/3567))
* Start publishing helloworld chart to GHCR ([#3570](https://github.com/pipe-cd/pipecd/pull/3570))
* Start publishing site chart to GHCR ([#3569](https://github.com/pipe-cd/pipecd/pull/3569))
* Start publishing site image to GHCR ([#3568](https://github.com/pipe-cd/pipecd/pull/3568))
* Remove rules_docker from project ([#3566](https://github.com/pipe-cd/pipecd/pull/3566))
* Add message to visitors ([#3563](https://github.com/pipe-cd/pipecd/pull/3563))
* Update docs to use Helm chart from OCI registry ([#3565](https://github.com/pipe-cd/pipecd/pull/3565))
* Enable event-watcher in workflow ([#3564](https://github.com/pipe-cd/pipecd/pull/3564))
* Start publishing helm charts on GHCR ([#3562](https://github.com/pipe-cd/pipecd/pull/3562))
* Switch server to use docker image on ghcr ([#3561](https://github.com/pipe-cd/pipecd/pull/3561))
* Stamp build info to go binaries ([#3560](https://github.com/pipe-cd/pipecd/pull/3560))
* Redefine the interface for project rbac ([#3556](https://github.com/pipe-cd/pipecd/pull/3556))
* Fix the location to store bin files in docker images ([#3559](https://github.com/pipe-cd/pipecd/pull/3559))
* Disable CGO while building go artifacts ([#3557](https://github.com/pipe-cd/pipecd/pull/3557))
* Switch ops to use docker image on ghcr ([#3552](https://github.com/pipe-cd/pipecd/pull/3552))
* Add me ([#3555](https://github.com/pipe-cd/pipecd/pull/3555))
* Update Makefile ([#3554](https://github.com/pipe-cd/pipecd/pull/3554))
* Update Makefile ([#3553](https://github.com/pipe-cd/pipecd/pull/3553))
* Embed web static into the pipecd docker image ([#3549](https://github.com/pipe-cd/pipecd/pull/3549))
* Rename web static directory ([#3548](https://github.com/pipe-cd/pipecd/pull/3548))
* Update contributor list ([#3546](https://github.com/pipe-cd/pipecd/pull/3546))
* Publish piped-okd container image to GH package registry ([#3545](https://github.com/pipe-cd/pipecd/pull/3545))
* Ensure the repo was cloned with full tags to make a correct version number ([#3544](https://github.com/pipe-cd/pipecd/pull/3544))
* Support push events for action-plan-preview ([#3513](https://github.com/pipe-cd/pipecd/pull/3513))
* Handle the skipped status for executor ([#3541](https://github.com/pipe-cd/pipecd/pull/3541))
* Fix the wrong way to cancel the context ([#3540](https://github.com/pipe-cd/pipecd/pull/3540))
* Tag manifests publishing by actions with a real version number ([#3538](https://github.com/pipe-cd/pipecd/pull/3538))
* Add the authentication for SkipStage ([#3537](https://github.com/pipe-cd/pipecd/pull/3537))
* Refine error handling on api layer ([#3536](https://github.com/pipe-cd/pipecd/pull/3536))
* Implement the gateway for skipping stage ([#3529](https://github.com/pipe-cd/pipecd/pull/3529))
* Handle skipped stage by piped ([#3525](https://github.com/pipe-cd/pipecd/pull/3525))
* Define the web api rpc for RBAC ([#3532](https://github.com/pipe-cd/pipecd/pull/3532))
