---
title: "Release v0.8.0"
linkTitle: "Release v0.8.0"
date: 2020-10-26
description: >
  Release v0.8.0
---

## Changelog since v0.7.6

### Notable Changes

* Introduce sealed secret feature
* Simplify control-plane by merging api and web into a single server component
* Add the ability to run piped as a non-root user
* Add the ability to filter the showing Kubernetes objects in the live state page

### Internal Changes

* Simplify control-plane by merging api and web into a single server component ([#1013](https://github.com/pipe-cd/pipecd/pull/1013))
* Add resource filter to the Kubernetes state view ([#1004](https://github.com/pipe-cd/pipecd/pull/1004))
* Fix bug that cannot change application kind from the default value at the form ([#964](https://github.com/pipe-cd/pipecd/pull/964))
* Be more clear what replicas setting means ([#1018](https://github.com/pipe-cd/pipecd/pull/1018))
* Add the ID of the triggered deployment to the command metadata ([#1016](https://github.com/pipe-cd/pipecd/pull/1016))
* Reconcile percentage with the comment ([#1015](https://github.com/pipe-cd/pipecd/pull/1015))
* Fix wrong route to server-http in envoy config ([#1014](https://github.com/pipe-cd/pipecd/pull/1014))
* Add instructions for those who run pipecd with non-pipecd user ([#1012](https://github.com/pipe-cd/pipecd/pull/1012))
* Fix the bug that rollback stage was using a wrong manifests path ([#1011](https://github.com/pipe-cd/pipecd/pull/1011))
* Re-enable dockertest of piped-base image ([#1009](https://github.com/pipe-cd/pipecd/pull/1009))
* Change the default ssh config path to the home directory of pipecd user ([#998](https://github.com/pipe-cd/pipecd/pull/998))
* Update kubernetes manifests to ensure piped container runs as a non root user ([#997](https://github.com/pipe-cd/pipecd/pull/997))
* Show a button to refresh the live state instead of auto-refreshing if has an error ([#1010](https://github.com/pipe-cd/pipecd/pull/1010))
* Update to use piped-base:v0.1.2 image ([#1008](https://github.com/pipe-cd/pipecd/pull/1008))
* Add a copy to clipboard button to the dialog for showing encrypted secret. ([#990](https://github.com/pipe-cd/pipecd/pull/990))
* Add generating application secret at the application list menu ([#984](https://github.com/pipe-cd/pipecd/pull/984))
* Show Skeleton instead of CircularProgress for the application live state text ([#974](https://github.com/pipe-cd/pipecd/pull/974))
* Add toast logic for showing request errors ([#966](https://github.com/pipe-cd/pipecd/pull/966))
* Validate the git path while registering new applicaiton and refactor stage log ([#1007](https://github.com/pipe-cd/pipecd/pull/1007))
* Update piped-base tag ([#1006](https://github.com/pipe-cd/pipecd/pull/1006))
* Temporarily disable dockertest of piped-base image ([#1005](https://github.com/pipe-cd/pipecd/pull/1005))
* Make sure to add user with "adduser" ([#999](https://github.com/pipe-cd/pipecd/pull/999))
* Rename the application configuration directory ([#1003](https://github.com/pipe-cd/pipecd/pull/1003))
* Add sealedSecrets field to configuration reference ([#1002](https://github.com/pipe-cd/pipecd/pull/1002))
* Add screenshot to readme ([#1001](https://github.com/pipe-cd/pipecd/pull/1001))
* Add document for sealed secret feature ([#1000](https://github.com/pipe-cd/pipecd/pull/1000))
* Fix the bug that the copy button at the sealing secret form was not worked ([#996](https://github.com/pipe-cd/pipecd/pull/996))
* Run piped as a non-root user ([#995](https://github.com/pipe-cd/pipecd/pull/995))
* Add base implementation of resource filter ([#994](https://github.com/pipe-cd/pipecd/pull/994))
* Remove credentials config from terraform provider ([#993](https://github.com/pipe-cd/pipecd/pull/993))
* Refactor the config of sealed secret management ([#992](https://github.com/pipe-cd/pipecd/pull/992))
* Change the format of encryption key to deal with pems generated by openssl ([#991](https://github.com/pipe-cd/pipecd/pull/991))
* Enable decrypting sealedsecrets in drift detector ([#988](https://github.com/pipe-cd/pipecd/pull/988))
* Simplify the sealedsecret's spec for the case of not using template ([#985](https://github.com/pipe-cd/pipecd/pull/985))
* Add missing rpc to auth list ([#986](https://github.com/pipe-cd/pipecd/pull/986))
* Make dependencies config generic ([#983](https://github.com/pipe-cd/pipecd/pull/983))
* Add a hybrid encryption to process a bigger message size ([#981](https://github.com/pipe-cd/pipecd/pull/981))
* Change the spec of sealed secret to provide better visibility in Git ([#975](https://github.com/pipe-cd/pipecd/pull/975))
* Update rules_go to v0.24.4, gazelle to v0.22.2 and go to 1.14.10 ([#968](https://github.com/pipe-cd/pipecd/pull/968))
* Enable decrypting the sealed secrets at piped ([#973](https://github.com/pipe-cd/pipecd/pull/973))
* Emit target namespace on the stage log ([#970](https://github.com/pipe-cd/pipecd/pull/970))
* Add an API client test by using mocks ([#971](https://github.com/pipe-cd/pipecd/pull/971))
* Add a missing type for the API client ([#967](https://github.com/pipe-cd/pipecd/pull/967))
* Fix gazelle warnings about multiple rules have the same name ([#965](https://github.com/pipe-cd/pipecd/pull/965))
* Add secret encryption feature on control-plane ([#963](https://github.com/pipe-cd/pipecd/pull/963))
* Add URL format description ([#962](https://github.com/pipe-cd/pipecd/pull/962))
* Add resources as piped's default value ([#961](https://github.com/pipe-cd/pipecd/pull/961))
* Add a note about pull request to examples' readme ([#960](https://github.com/pipe-cd/pipecd/pull/960))
* Refactor constants in ts by moving them to separate files ([#959](https://github.com/pipe-cd/pipecd/pull/959))
* Add more web tests ([#958](https://github.com/pipe-cd/pipecd/pull/958))
* Allow to specify resources at quickstart ([#957](https://github.com/pipe-cd/pipecd/pull/957))
* Add RSA ecnrypter and decrypter ([#956](https://github.com/pipe-cd/pipecd/pull/956))
* Refactor crypto package ([#954](https://github.com/pipe-cd/pipecd/pull/954))
* Add functions to generate and parse RSA keys ([#952](https://github.com/pipe-cd/pipecd/pull/952))
* Add SealedSecret configuration ([#950](https://github.com/pipe-cd/pipecd/pull/950))
* Increase the timeout value of the build to make the binary on macos ([#948](https://github.com/pipe-cd/pipecd/pull/948))
